'use strict'

var imp = require('../../test/_js/testImports')
var validate = require('./index')

describe('validate', function() {

  describe('valid file', function() {

    it('string', function() {
      validate('')
    })
  })

  describe('invalid file', function() {

    it('not a string', function() {
      imp.expect(function() {
        validate(9)
      }).to.throw(TypeError, 'cannot read file because file must be a string containing the file path')
    })

    it('undefined', function() {
      imp.expect(function() {
        validate()
      }).to.throw(TypeError, 'cannot read file because file is undefined')
    })

    it('null', function() {
      imp.expect(function() {
        validate(null)
      }).to.throw(TypeError, 'cannot read file because file is null')
    })
  })
})
